## Class TLazyLoadList

Description

TLazyLoadList executes mapped statements when the proxy collection is first accessed.

- since: 3.1
- version: $Id: TLazyLoadList.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TLazyLoadList.php (line 21)

Method Summary
TLazyLoadList __construct (TMappedStatement $mappedStatement, mixed $param, object result $target, string $propertyName)
void fetchListData ()
boolean hasMethod (string $method)
void intercept (string $method, array $arguments)
TObjectProxy newInstance (TMappedStatement $mappedStatement, mixed $param, object result $target, string $propertyName)
Methods
Constructor __construct (line 39)

Create a new proxy list that will execute the mapped statement when any of the list's method are accessed for the first time.

- access: protected

TLazyLoadList __construct (TMappedStatement $mappedStatement, mixed $param, object result $target, string $propertyName)

- TMappedStatement $mappedStatement: statement to be executed to load the data.
- mixed $param: parameter value for the statement.
- object result $target: object that contains the lazy collection.
- string $propertyName: property of the result object to set the loaded collection.

fetchListData (line 80)

Load the data by executing the mapped statement.

- access: protected

void fetchListData ()
hasMethod (line 96)

Try to fetch the data when any of the proxy collection method is called.

- return: true if the underlying collection has the corresponding method name.
- access: public

boolean hasMethod (string $method)

- string $method: method name.

intercept (line 72)

Relay the method call to the underlying collection.

- access: public

void intercept (string $method, array $arguments)

- string $method: method name.
- array $arguments: method parameters.

newInstance (line 56)

Create a new instance of a lazy collection.

- return: proxied collection object.
- static:
- access: public

TObjectProxy newInstance (TMappedStatement $mappedStatement, mixed $param, object result $target, string $propertyName)

- TMappedStatement $mappedStatement: statement to be executed to load the data.
- mixed $param: parameter value for the statement.
- object result $target: object that contains the lazy collection.
- string $propertyName: property of the result object to set the loaded collection.

Documentation generated on Mon, 21 Apr 2008 11:35:24 -0400 by phpDocumentor 1.3.0RC4